Results 1 to 14 of 14

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: iPhone 3GS New Bootrom iOS 3.x.x

  1. #1
    Default iPhone 3GS New Bootrom iOS 3.x.x
    I have a minor questions which I am confused about.

    If I have an iPhone 3GS new bootrom iOS 3.x.x, my understanding is that I can jailbreak/unlock on version 3.1.2 using redsn0w 0.9.2 then update to iOS 4 jailbreak/unlock using sn0wbreeze. But this jailbreak/unlock would be tethered right? This means I can't reboot the phone or else I will lose my jailbreak/unlock? If I do reboot it while on iOS 4, do I just restore the custom firmware again to jailbreak/unlock?


    If I decided to stay on iOS 3.x.x can I have an untethered jailbrea/unlock? I was reading this guide, Jailbreak iPhone 3.1.3 with Spirit Jailbreak | iPhoneHeat, and I am guess it also jailbreaks 3gs with new bootrom. Do I just use Spirit to jailbreak and then unlock using ultrasn0w?

  2. #2
    you have an iphone 3gs 3.x.x then you can use spirit to get and un-teatherd jailbreak, with this jailbreak you can reboot the iphone without having to re-connect it to itune via computer
    and before you know it spirit will be updated to support ios4 so then you can update and reuse spirit to jailbreak your ios4 device
    and if you want to unlock it yes use ultrasn0w, i here problems with the current repo so if you cant get it on cydia off the current repo use this one here http://repo666.ultrasn0w.org
    Last edited by iNeo; 2010-07-26 at 06:10 PM.

  3. #3
    Quote Originally Posted by iNeo View Post
    you have an iphone 3gs 3.x.x then you can use spirit to get and un-teatherd jailbreak, with this jailbreak you can reboot the iphone without having to re-connect it to itune via computer
    and before you know it spirit will be updated to support ios4 so then you can update and reuse spirit to jailbreak your ios4 device
    and if you want to unlock it yes use ultrasn0w, i here problems with the current repo so if you cant get it on cydia off the current repo use this one here http://repo666.ultrasn0w.org
    Which version, 3.1.2 or 3.1.3 am I suppose to be on in order to use Spirit jailbreak? And which version of Spirit do I need or I can use the latest version? Also if my iPhone 3GS is running an older version iOS 3, for example 3.0, will I be able to update to 3.1.2 since I don't have the SHSH blobs?

  4. #4
    yes you can update but you cannot go back for example if your on a lower version im sure you can update to which ever one later than that current one
    and you can be on 3.1.2, or 3.1.3 for spirit, heres the link if you dont have it Spirit

  5. #5
    Will Spirit jailbreaking cause me trouble in the future?

  6. #6
    nope, its the best jailbreak ive seen since Gehots ra1n tool

  7. #7
    Oh okay, but I just wanna make sure if the firmware version is below 3.1.2 will I be able to update it to 3.1.2?

    Also I am suck on the emergency screen, is there a way to find out the firmware version from the activation screen?

  8. #8
    im not sure but try and use this : iH8sn0w.com | Jailbreak your iPod touches and iPhones to find out the version.
    and im pretty sure you can update, im not certain though
    maybe try searching the net for an answer

  9. The Following User Says Thank You to iNeo For This Useful Post:

    Poseidon79 (2010-07-27)

  10. #9
    Retired Moderator Poseidon79's Avatar
    Join Date
    Jan 2008
    Location
    Austin, TX
    Posts
    8,264
    Thanks
    819
    Thanked 1,681 Times in 1,159 Posts

    Download f0recast and it will tell you.
    iH8sn0w.com | Jailbreak your iPod touches and iPhones

  11. #10
    beat ya to it

  12. #11
    What's Jailbreak?
    Join Date
    Feb 2010
    Location
    Scotland
    Posts
    9
    Thanks
    0
    Thanked 1 Time in 1 Post
    If you have a new bootrom idevice with firmware lower than 3.1.3 you will not be able to upgrade to 3.1.3 for a spirit jailbreak unless you have your shsh files backed up on saurik server or locally using tinyumbrella.

  13. #12
    there you go
    so just hope its on 3.1.2 or 3.1.3 if you want to use spirit
    if its any lower your going to have to use redsnow

  14. #13
    Quote Originally Posted by iNeo View Post
    there you go
    so just hope its on 3.1.2 or 3.1.3 if you want to use spirit
    if its any lower your going to have to use redsnow
    So just to clear up my understanding... If it is below 3.1.2 I won't be able to update to 3.1.2 or 3.1.3 since I don't have the SHSH blob?

    You said I would have to use redsnow. But wouldn't even using redsnow require me to already have 3.1.2 already installed?

  15. #14
    Yeah thats correct
    and im sure theres a redsnow compatible for 3.0 if it was on that version or lower then 3.1.2

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •